%global parent	jena
%global subname	iri

Name:		%{parent}-%{subname}
Version:	0.8
Release:	%mkrel 4
BuildArch:	noarch
Summary:	The Jena IRI Library
Group:          Development/Java

# License is contained in the file Copyright.txt
License:	BSD
URL:		http://jena.sourceforge.net/%{subname}
# cvs -z3 -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena export -r IRI_0_8 iri
# tar caf jena-iri-0.8.tar.xz iri
Source0:	%{name}-%{version}.tar.xz
# Assembly id was commented out
Patch0:		%{name}-fixed-assembly-id.patch

BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	maven
BuildRequires:	maven-shared
BuildRequires:	maven-shared-file-management
BuildRequires:	maven-assembly-plugin
BuildRequires:	maven-surefire-provider-junit4

Requires:	java
Requires:	jpackage-utils

%description
The Jena IRI Library is an implementation of RFC 3987 (IRI) and 
RFC 3986 (URI), and a partial implementation of other related standards. 

%files
%doc Copyright.txt Jena-IRI-changes.txt RELEASE_NOTES.txt TODO.txt dependencies.txt
%{_javadir}/%{parent}/%{subname}.jar
%{_mavenpomdir}/JPP.%{parent}-%{subname}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%package javadoc
Summary:	API documentation for %{name}
Group:		Development/Java
Requires:	jpackage-utils

%description javadoc
The API documentation of %{name}.

%files javadoc
%doc Copyright.txt
%doc %{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -qn %{subname}
%patch0 -p1
rm -rf doc lib lib-build Patches

%build
# 14 out of 1313 tests fail on parsing URLs.
# This happens only with mvn-rpmbuild, not mvn3. I'm investingating this.
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.failure.ignore


%install
# JAR
install -Dpm 644 target/%{subname}-%{version}.jar %{buildroot}%{_javadir}/%{parent}/%{subname}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{parent}-%{subname}.pom
%add_maven_depmap JPP.%{name}.pom %{parent}/%{subname}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}




%changelog

* Fri Jan 06 2012 dmorgan <dmorgan> 0.8-4.mga2
+ Revision: 192110
- imported package jena-iri


* Mon Sep 19 2011 Tomas Radej <tradej@redhat.com> - 0.8-4
- Fixed the CVS method command
- Refreshed source tarball

* Fri Sep 16 2011 Tomas Radej <tradej@redhat.com> - 0.8-3
- Changed CVS method to export, rather than checkout
- Removed unnecessary files from javadoc

* Wed Sep 14 2011 Tomas Radej <tradej@redhat.com> - 0.8-2
- Patched assembly.xml

* Mon Sep 12 2011 Tomas Radej <tradej@redhat.com> - 0.8-1
- Initial Release

